/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generated.files;

import java.io.FileNotFoundException;
import java.io.UnsupportedEncodingException;

/**
 * 
 * @author zverlov
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public class RaspberryMakeMKGeneration {
	/** Contents of make.mk. */
	private String content;

	/** Constructor. */
	public RaspberryMakeMKGeneration() {
		this.content = "";
	}

	/** Main methods for creation of make.mk. */
	/**
	 * public void createMakeMK(){
	 * 
	 * }
	 */

	/**
	 * @throws FileNotFoundException
	 * @throws UnsupportedEncodingException
	 */
	public void createMakeMK() {

		/*
		 * FileInputStream fis = new FileInputStream("C:\\Users\\Khan\\Desktop\\make.txt");
		 * InputStreamReader in = new InputStreamReader(fis, "US-ASCII");// UTF-8
		 * 
		 * content += in;
		 */
		content +=
				"test:\n	@echo  $(@D)\n	@echo  $(DEPS)\n	@echo  $(OBJECTS2)\n	@echo Test\n	@echo $(C_SRC)\n	@echo Test\n	@echo $(H_SRC)\n	@echo Test\n	@echo $(LIBRARY)\n";
		content +=
				"run: all\n	@./$(TARGET)\n\nramdisk:\n	sudo mkdir $(RAMDISK_DIR)\n	sudo mount -t tmpfs -o size=512m tmpfs $(RAMDISK_DIR)\n\n\n.PHONY: test deploy all ramdisk ";
		// FileOutputStream fos = new FileOutputStream("test.txt");
		// TODO: needs to be implemented
	}

	/** Return content. */
	public String getContent() {
		return this.content;
	}

}
